6.0.0-git
2019-03-21

[#6412] Auto Watermark
Summary Auto Watermark
Queue Ansel
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester duck (at) obala (dot) net
Created 2008-03-09 (4029 days ago)
Due
Updated 2008-03-10 (4028 days ago)
Assigned 2008-03-09 (4029 days ago)
Resolved 2008-03-10 (4028 days ago)
Milestone
Patch No

History
2008-03-10 14:53:22 Michael Rubinsky Comment #6
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2008-03-09 17:28:44 Michael Rubinsky Comment #5
Assigned to Michael Rubinsky
State ⇒ Assigned
Reply to this comment
cool. Thanks.
2008-03-09 17:09:04 Duck Comment #4 Reply to this comment
And I don't know that Jan was working on this in parallel.
2008-03-09 17:07:59 Duck Comment #3 Reply to this comment
So, this completely replaces Ticket: 6407 ?
Yes, my patch allows to set the default position and size of the 
watermark instead of hard coding it. And does the watermark when the 
screen is created so the picture can be roteted/filliped/grayscaled 
and the watermark maintains its position.
2008-03-09 17:01:25 Michael Rubinsky Comment #2 Reply to this comment
So, this completely replaces Ticket: 6407 ?
2008-03-09 16:48:20 Duck Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Auto Watermark
Queue ⇒ Ansel
New Attachment: ansel-watermark.diff Download
Reply to this comment
Added prefs to set default watermark options and another to set auto 
watermark on/off.

If the administrator lock up the auto watermark pref on, disables the 
watermark user link.



I changed a little how watermark are added. Before the watermark was 
added to the original image. I think this is wrong. If you rotate the 
image the watermark will as is a part of the image, rotates with it.   
So the watermark is added only on the screen view. And if you have 
autowatermark feature enabled it will be added again in the right place.


Saved Queries